@import url('https://fonts.googleapis.com/css2?family=Noto+Serif:ital,wght@0,100..900;1,100..900&display=swap');

:root {
    --primary-color: #b5822e;
    --btn-color: #75FBFE;
    --secondary-color: #203d52;
    --tertiary-color: #214c60;
    --text-color: white;
    --section-font: 40px;
    --section-para: 18px;


}

* {
    padding: 0;
    margin: 0;
    box-sizing: border-box;
}

a {
    text-decoration: none;
}

html,
body {
    overflow-x: hidden;
}

body {
    font-family: "Noto Serif", serif;
    overflow-x: hidden;
    color: var(--text-color);
    scroll-behavior: smooth;
}


.section-title {
    font-family: "Noto Serif", serif;
    font-size: var(--section-font);
    font-weight: 500;
    color: var(--text-color);
    position: relative;
    display: inline-block;
}

/*.section-title::after {
    content: "";
    display: block;
    width: 100%;
    height: 10px;
    margin: 5px auto;
    background: url("data:image/svg+xml,%3Csvg viewBox='0 0 120 10' xmlns='http://www.w3.org/2000/svg'%3E%3Cpath d='M0 5 Q10 3 20 5 T40 5 T60 5 T80 5 T100 5 T120 5' stroke='%23b5822e' fill='none' stroke-width='2'/%3E%3C/svg%3E") repeat-x;
    background-size: 120px 10px;
}*/

.section-para {
    font-size: var(--section-para);
    font-weight: 300;
}


.custom-navbar {
    position: absolute;
    top: 0;
    width: 100%;
    z-index: 10;
    background: transparent;
}

.navbar-nav {
    margin-top: 12px;
}

.nav-link {
    font-size: 17px;
    font-weight: 500;
    color: var(--text-color);
}


.hero-section {
    height: 100vh;
    background: url("../image/img-10.jpeg") no-repeat center center/cover !important;
    position: relative;
}


.hero-section::before {
    content: "";
    position: absolute;
    inset: 0;
    background: rgba(0, 0, 0, 0.63);
}


.hero-section .container {
    position: relative;
    z-index: 2;
}

.hero-title {
    font-size: 60px;
    font-weight: 400;
    line-height: 1;
    margin-top: 40px;
}

.logo {
    margin-top: 10px;
    font-size: 25px;
}

.btn {
    background-color: var(--btn-color);
    color: var(--secondary-color);
    font-weight: 600;
    padding: 12px 26px;
    font-size: 15px;
    border-radius: 50px;
}

.btn:hover {
    background-color: #75fcfebb;
    color: var(--secondary-color);
}

.btn-book,
.btn-order {
    background-color: var(--btn-color);
    color: var(--secondary-color);
    font-weight: 600;
    padding: 12px 26px;
    font-size: 15px;
    border-radius: 50px;
}

.btn-book:hover,
.btn-order:hover {
    background-color: #75fcfebb;
    color: var(--secondary-color);
}


.mexican-section,
.venues-section,
.gift {
    background-color: var(--secondary-color);
    padding-top: 100px;
    padding-bottom: 100px;
}

.whats-on,
.food {
    background-color: var(--tertiary-color);
    padding-top: 100px;
    padding-bottom: 100px;
}


/* ---------second section------- */


.mexican-section p {
    font-size: var(--section-para);
    line-height: 1.5;
}

.mexican-section .para {
    padding-top: 20px;
}

.video-box {
    width: 100%;
}

.video-box video {
    width: 100%;
    max-height: 680px;
    object-fit: cover;
}


/* =============whats on========== */
.promo-img {
    height: 500px;
    width: 100%;
    transition: 0.3s;
}

.promo-img:hover {
    transform: scale(1.03);
}


.custom-arrow {
    width: 5%;
}

.mobile-carousel-btn {
    margin-top: 3rem;
}

.arrow-circle {
    background: var(--primary-color);
    color: var(--text-color);
    width: 60px;
    height: 60px;
    border-radius: 50%;
    font-size: 28px;
    display: flex;
    align-items: center;
    justify-content: center;
}


.carousel-control-prev-icon,
.carousel-control-next-icon {
    display: none;
}

.carousel-control-prev {
    left: -4rem;
}

.carousel-control-next {
    right: -4rem;
}



/* -------------Venues--------------- */


.venue-card img {
    margin-bottom: 20px;
    height: 260px;
    width: 100%;
    object-fit: cover;
}

.venue-card p {
    font-size: 14px;
    color: #ffffff9e;
}




/* --------------Food--------------- */


.food,
.functions {
    color: var(--text-color);
}

.food .left-content {
    padding: 110px;
}

.food img {
    object-fit: cover;
    height: 850px;
}

.food .section-para {
    padding-top: 40px;
}

.food .deal {
    text-decoration: underline;
    color: var(--primary-color);
}



/* --------------Functions---------------- */
.functions {
    padding-top: 20px;
    padding-bottom: 100px;
    background-color: var(--secondary-color);
}


.functions .left-content {
    padding: 100px 113px 100px 100px;
    margin-top: 120px;

}

.functions img {
    margin-top: 80px;
    height: 940px;
    object-fit: cover;
}

.functions .section-para {
    padding-top: 40px;
}



/*------- ---------Gift -------------------*/
.gift {
    color: var(--text-color);
    background-color: var(--tertiary-color);
}

.gift-para {
    font-size: var(--section-para);

}

.gift .btn {
    margin-top: 30px;
}

.gift .food-gift-card {
    height: 290px;
    object-fit: cover;
    border-radius: 0px;
}

.ready {
    padding-top: 120px;
    color: var(--text-color);
    background-color: var(--secondary-color);
}


.ready-img {
    height: 90vh;
}

.ready-img img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    display: block;
}



/* Footer */
.footer-section {
    background-color: var(--secondary-color);
    position: relative;
    color: var(--text-color);
    padding-top: 30px;
}

/* Wave */
.footer-wave {
    position: absolute;
    top: -100px;
    left: 0;
    width: 100%;
    line-height: 0;
}

.footer-wave svg {
    display: block;
    width: 100%;
    height: 100px;
    fill: var(--secondary-color);
}

.footer-wave path {
    fill: var(--secondary-color);
}

.footer-section li {
    line-height: 1.9;
}

.footer-section li,
.footer-section p {
    font-size: 16px;
    font-weight: 200;
}

.footer-section .highlight {
    text-decoration: underline;
    font-weight: 500;
    color: var(--primary-color);
}

.footer-section .copy-right {
    display: flex;
    justify-content: space-between;
    align-items: center;
}



.footer-section h5 {
    font-size: 23px;
    font-weight: 500;
    text-transform: uppercase;
    padding-bottom: 40px;
}

.back-to-top .fa-arrow-up {
    font-size: 13px;
}

.back-to-top {
    position: fixed;
    bottom: 30px;
    right: 30px;
    background: var(--primary-color);
    color: #fff;
    font-size: 24px;
    width: 45px;
    height: 45px;
    display: flex;
    align-items: center;
    justify-content: center;
    border-radius: 50%;
    text-decoration: none;
}


/* =================Media Query================= */

@media (min-width: 320px) and (max-width: 767px) {
    .hero-section {
        height: 70vh;
    }
    .logo-footer{
        text-align: center;
        margin-bottom: 20px;
    }

    .drink-btn{
        margin-top: 20px;
        margin-bottom: 20px;
    }

    #promoCarousel {
        display: none;
    }

    .hero-title {
        font-size: 60px;
    }

    .mexican-section .row {
        flex-direction: column-reverse;
    }

    .carousel-inner {
        margin-bottom: 80px;
    }

    #promoCarouselMobile {
        position: relative;
    }


    .carousel-controls-wrapper {
        position: absolute;
        top: 110%;            
        left: 50%;
        transform: translateX(-50%);
        display: flex;
        justify-content: space-around;
        gap: 50px;            
    }


    .carousel-control-prev,
    .carousel-control-next {
        position: static;
    }


    .arrow-circle {
        width: 50px;
        height: 50px;
        min-width: 50px;       
        border-radius: 50%;
        background: var(--primary-color);
        display: flex;
        justify-content: center;
        align-items: center;
        padding: 0;        
    }


    .arrow-circle i {
        font-size: 18px;
        line-height: 1;
    }

    .food .left-content {
        padding: 9px;
    }

    .functions .row {
        flex-direction: column-reverse;
    }

    .functions .left-content {
        padding: 0px;
    }

    .footer-section .copy-right {
        display: block;
        align-items: center;
        text-align: center;
        line-height: 0;
    }

    .footer-section .logo {
        display: flex;
        justify-content: center;
        margin: auto;
        margin-bottom: 65px;
    }

    .mobile-btn {
        width: fit-content;
        margin-top: 2px;
        margin-left: -9px;
    }

    .navbar-nav {
        text-align: start !important;
        padding: 20px;
    }

    .custom-navbar {
        background-color: var(--secondary-color);
    }

    .navbar-brand img {
        height: 50px;
    }



    .functions img {
        margin-top: 30px;
        height: auto;
    }

    .gift-para {
        margin-bottom: 40px;
    }

    .food img {
        margin-top: 30px;
        height: auto;
    }

    .logo {
        margin-top: 0px;
    }
}


@media (min-width: 768px) and (max-width: 1024px) {
     .logo-footer{
        text-align: center;
        margin-bottom: 20px;
    }
    .navbar-nav {
        text-align: start !important;
        padding: 20px;
    }

    .custom-navbar {
        background-color: var(--secondary-color);
    }

    .mobile-btn {
        width: fit-content;
        margin-top: 2px;
        margin-left: -9px;
    }

    .mexican-section .row {
        flex-direction: column-reverse;
    }

    .carousel-control-prev {
        left: 18rem;
        top: 33rem;
        margin-top: 20px;
    }

    .carousel-control-prev i,
    .carousel-control-next i {
        width: 70px;
        height: 70px;
        display: flex;
        text-align: center;
        justify-content: center;
        align-items: center;
    }

    .carousel-control-next {
        margin-top: 20px;
        right: 18rem;
        top: 33rem;
    }

    .food .left-content {
        padding: 0px;
    }

    .functions .row {
        flex-direction: column-reverse;
    }

    .functions img {
        margin-top: 30px;
    }

    .functions .left-content {
        padding: 0px;
    }

    .mobile-carousel-btn {
        margin-top: 7rem;
    }

    .footer-section .logo {
        display: flex;
        justify-content: center;
        margin: auto;
        margin-bottom: 65px;
    }

    .food img {
        margin-top: 20px;
        height: 630px;
    }

    .functions img {
        height: auto;
    }

}